Subject: Re: bug#68919: 30.0.50; etc/w32-feature.el: tests do not work under --batch
From: Corwin Brust <[email-masked]>
To: Stefan Kangas <[email-masked]>, [email-masked]
Cc: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Dec 2024 21:28:28 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Dec 23, 2024 at 9:05 PM Stefan Kangas <[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Corwin Brust <[email-masked]>
> >> Date: Sun, 4 Feb 2024 09:25:32 -0600
> >> Cc: [email-masked]
> >>
> >> On Sun, Feb 4, 2024 at 1:08 AM Eli Zaretskii <[email-masked]> wrote:
> >> >
> >> > We can do better than this, I think.  The following works in batch
> >> > mode:
> >> >
> >> >   emacs -batch --eval "(message \"%s\" (get 'uniscribe 'font-driver-superseded-by))"
> >> >    => harfbuzz
> >> >
> >>
> >> Thank you, Eli - let me know if this is better.
> >
> > LGTM, thanks.
>
> Corwin, could you please install this patch and close this bug?
>

Done with 0e43e35f96e..c29b798537e  emacs-30 -> emacs-30.
Thank you.

> >
> >> (Should we continue using frame-parameters in when display-graphic-p
> >> is t?  I assume not; this works in both cases and is thus better
> >> because it's simpler, or so I have thought.)
> >
> > Yes, for this particular feature there's no need to use
> > frame-parameters anymore, since the above test works in all kinds of
> > session.
>
> Not sure what to do about this part.
>

Nothing to be done, I believe. Here I think Eli confirms I was correct
to ignore `display-graphic-p' because the font-driver-superseded-by
will only eq harfbuz when Emacs was both built with support for
harfbuzz -and- actually succeeded in loading the DLL in the run-time,
(so I guess we load that DLL even in batch mode :)